// @ts-check

// we need to load the env immediately
require("dotenv").config();

const gulp = require("gulp");
const build = require("./build");
const { clear, wipe } = require("./clean");
const core = require("./core");
const deploy = require("./deploy");
const generateComponent = require("./generate-component");
const generateRoute = require("./generate-route");
const { i18n } = require("./i18n");
const init = require("./init");
const start = require("./start");
const svgicons = require("./svgicons");
const test = require("./test");

// FIXME: exit build on failure
// process.exitCode = 1;
// gulp.doneCallback = function(err) {
//   process.exit(err ? 1 : 0);
// };

exports.build = build;
exports.clear = clear;
exports.core = core;
exports.deploy = deploy;
exports.generateComponent = generateComponent;
exports.generateRoute = generateRoute;
exports.i18n = i18n;
exports.init = init;
exports.start = start;
exports.svgicons = svgicons;
exports.test = test;
exports.wipe = wipe;
